### Method

# Clutter Stage get_device_actor

#### Declaration [src]

    ClutterActor*
    clutter_stage_get_device_actor (
      ClutterStage* stage,
      ClutterInputDevice* device,
      ClutterEventSequence* sequence
    )

#### Description [src]

Retrieves the `ClutterActor` underneath the pointer or touch point of `device` and `sequence`.

#### Parameters

`device`

  Type: `ClutterInputDevice`

  A `ClutterInputDevice`.

  The data is owned by the caller of the method.

`sequence`

  Type: `ClutterEventSequence`

  An optional `ClutterEventSequence`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `ClutterActor`

A pointer to the `ClutterActor` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.